<nav class="navbar navbar-expand-lg navbar-dark bg-primary ps-3">
  <%= link_to app_title, recognitions_path, class: 'navbar-brand mb-0 h1' %>
  <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav me-auto">
      <% if logged_in? %>
	      <li class="nav-item">
	        <%= link_to 'Home', recognitions_path, class: 'nav-link' %>
	      </li>
        <li class="nav-item">
          <%= link_to 'New', new_recognition_path, class: 'nav-link' %>
        </li>
        <% if can_administrate?(@recognition) %>
		      <li class="nav-item">
		        <%= link_to 'Stats', statistics_path, class: 'nav-link' %>
		      </li>
        <% end %>
      <% end %>
    </ul>
    <div class="d-flex me-3">
      <% if logged_in? %>
        <%= link_to 'Sign out', signout_path, class: 'btn btn-primary btn-outline-light my-2 my-sm-0' %>
      <% else %>
        <%= link_to 'Sign in', signin_path, class: 'btn btn-outline-light my-2 my-sm-0 me-md-2' %>
      <% end %>
    </div>
  </div>
</nav>
